[arch-commits] Commit in bind/trunk (PKGBUILD named.conf)

Sébastien Luttringer seblu at archlinux.org
Tue Dec 3 03:40:24 UTC 2019


    Date: Tuesday, December 3, 2019 @ 03:40:23
  Author: seblu
Revision: 370256

upgpkg: bind 9.14.8-3

- fix FS#61732
- fix FS#61624
- implement FS#63247
- new try for FS#64701

Modified:
  bind/trunk/PKGBUILD
  bind/trunk/named.conf

------------+
 PKGBUILD   |   37 ++++++++++++++++---------------------
 named.conf |    5 -----
 2 files changed, 16 insertions(+), 26 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-12-03 02:31:10 UTC (rev 370255)
+++ PKGBUILD	2019-12-03 03:40:23 UTC (rev 370256)
@@ -7,14 +7,14 @@
 pkgname=(bind bind-tools)
 _pkgver=9.14.8
 pkgver=${_pkgver//-/.}
-pkgrel=2
+pkgrel=3
 url='https://www.isc.org/software/bind/'
 license=('MPL2')
 arch=('x86_64')
 options=('!emptydirs')
 makedepends=('libcap' 'libxml2' 'zlib' 'krb5' 'e2fsprogs' 'openssl' 'readline'
-  'libidn2' 'geoip' 'dnssec-anchors' 'python' 'json-c' 'python-ply' 'lmdb'
-  'zlib' 'icu' 'xz')
+  'libidn2' 'dnssec-anchors' 'python' 'json-c' 'python-ply' 'lmdb' 'zlib' 'icu'
+  'xz' 'libmaxminddb')
 validpgpkeys=('AE3FAC796711EC59FC007AA474BB6B9A4CBB3D38') #ISC Code Signing Key 2019 – 2020 (codesign at isc.org)
 source=("https://ftp.isc.org/isc/bind9/${_pkgver}/bind-${_pkgver}.tar.gz"{,.asc}
         'tmpfiles.conf'
@@ -29,7 +29,7 @@
             'SKIP'
             'f0423c4ee8495da487e07e9144bec1d25f46a0cd2dfa7cfd7a761ef15bfefc98'
             '7c0acefcfcc3ae093550caed7ec90fe84bec8f7477459ffa7e71dda76bcbdb2c'
-            'b625d8b92832a7b8b80432ee0a78361f23bf8a097bd4d8e922499e9406cfc00c'
+            'aeba2dce22039c2abf02d384602b434fd992733b31774ca6e80f4cb8999b8fa5'
             '3f0f8db0a1deae270dd166b4750be7c1041b4b44891176f35a8df7dd55d24d34'
             '0011708e516128647dd25b59b6ebc465f36e85bbe0a8fbdc3eb04b7f28c2197f'
             'c06fc270e32a843c8b6d86335a2ec607d405dfba6875de8d8a9abde39a9e2c17'
@@ -37,18 +37,15 @@
             '4adfd0433850f3b6e168a80d211b8a0c3de95711315bdeb47dfae4c1af3d5dec')
 
 prepare() {
-  msg2 'Getting a fresh version of root DNS'
-  # no more using source array, lack of versioning.
-  curl -o root.hint https://www.internic.net/zones/named.root
-  [[ -s root.hint ]]
   cd bind-$_pkgver
   # apply patch from the source array (should be a pacman feature)
-  local filename
-  for filename in "${source[@]}"; do
-    if [[ "$filename" =~ \.patch$ ]]; then
-      msg2 "Applying patch ${filename##*/}"
-      patch -p1 -N -i "$srcdir/${filename##*/}"
-    fi
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
   done
 }
 
@@ -64,9 +61,8 @@
     --enable-fixed-rrset \
     --enable-full-report \
     --enable-dnsrps \
-    --enable-filter-aaaa \
     --with-python=/usr/bin/python \
-    --with-geoip \
+    --with-geoip2 \
     --with-openssl \
     --with-libidn2 \
     --with-libjson \
@@ -80,7 +76,7 @@
   pkgdesc='The ISC DNS Server'
   provides=('dns-server')
   depends=('glibc' 'libxml2' 'libcap' 'openssl' 'geoip' 'json-c' 'bind-tools'
-           'zlib' 'lmdb')
+           'zlib' 'lmdb' 'libmaxminddb')
   backup=('etc/named.conf'
           'var/named/127.0.0.zone'
           'var/named/localhost.zone'
@@ -90,7 +86,7 @@
   cd "bind-$_pkgver"
   install -dm755 "$pkgdir/usr/share/licenses/$pkgname/"
   install -Dm644 LICENSE COPYRIGHT "$pkgdir/usr/share/licenses/$pkgname/"
-  for _d in bin/{check,named,rndc}; do
+  for _d in bin/{check,named,rndc,plugins}; do
     (cd "$_d" && make DESTDIR="$pkgdir" install)
   done
 
@@ -102,7 +98,6 @@
   install -D -m640 -o 0 -g 40 named.conf "$pkgdir/etc/named.conf"
 
   install -d -m770 -o 0 -g 40 "$pkgdir/var/named"
-  install    -m640 -o 0 -g 40 root.hint "$pkgdir/var/named"
   install    -m640 -o 0 -g 40 localhost.zone "$pkgdir/var/named"
   install    -m640 -o 0 -g 40 localhost.ip6.zone "$pkgdir/var/named"
   install    -m640 -o 0 -g 40 127.0.0.zone "$pkgdir/var/named"
@@ -112,8 +107,8 @@
 package_bind-tools() {
   pkgdesc='The ISC DNS tools'
   depends=('glibc' 'libcap' 'libxml2' 'zlib' 'krb5' 'e2fsprogs' 'python' 'bash'
-           'openssl' 'readline' 'geoip' 'libidn2' 'dnssec-anchors' 'json-c'
-           'lmdb' 'xz' 'icu')
+           'openssl' 'readline' 'libidn2' 'dnssec-anchors' 'json-c' 'lmdb' 'xz'
+           'icu' 'python-ply' 'libmaxminddb')
   conflicts=('dnsutils')
   replaces=('dnsutils' 'host')
   provides=("dnsutils=$pkgver")

Modified: named.conf
===================================================================
--- named.conf	2019-12-03 02:31:10 UTC (rev 370255)
+++ named.conf	2019-12-03 03:40:23 UTC (rev 370256)
@@ -44,11 +44,6 @@
     file "empty.zone";
 };
 
-zone "." IN {
-    type hint;
-    file "root.hint";
-};
-
 //zone "example.org" IN {
 //    type slave;
 //    file "example.zone";


More information about the arch-commits mailing list